STGETC(3NCARG)

NAME
STGETC - Gets the current value of a Streamlines parameter of type CHARACTER.

SYNOPSIS
CALL STGETC (CNM,CVL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_stgetc(char *cnm, char *cvl, int len)

DESCRIPTION

CNM (CHARACTER, input) is the name of a parameter whose character value is to be retrieved. Only the first three characters of CNM are examined. The three characters may either be entirely upper or entirely lower case; mixed case is not recognized. It is recommended that the rest of the character string be used to improve the readability of the code. For example, instead of just 'ZFT', use 'ZFT - Zero Field Text String'.

CVL (CHARACTER, output) is a variable in which the value of the parameter specified by CNM is to be returned.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions with the following exception:

len The size of cvl as dimensioned in the calling program.

USAGE
This routine allows you to retrieve the current value of Streamlines parameters of type CHARACTER. For a complete list of parameters available in this utility, see the streamlines_params man page.

ACCESS
To use STGETC or c_stgetc, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the streamlines man page for a description of all Streamlines error messages and/or informational messages.

SEE ALSO
Online: stgeti, stgetr, stinit, stream, streamlines, streamlines_params, strset, stsetc, stseti, stsetr, stuixy, stumsl, stumta, stumxy, ncarg_cbind.

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.